Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 530080 - net-libs/libtirpc-0.2.5: patchset to allow building against musl libc
Summary: net-libs/libtirpc-0.2.5: patchset to allow building against musl libc
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo musl team
URL:
Whiteboard: hardened-dev overlay, musl overlay
Keywords: InOverlay, PATCH
Depends on:
Blocks: musl-porting
  Show dependency tree
 
Reported: 2014-11-21 21:49 UTC by DaggyStyle
Modified: 2019-10-15 05:15 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
fix DECLS bug (libtirpc-0.2.4-fix_DECLS.patch,28.18 KB, patch)
2014-11-21 21:50 UTC, DaggyStyle
Details | Diff
fix cdefs bug (libtirpc-0.2.4-fix_cdefs_h_include.patch,14.74 KB, patch)
2014-11-21 21:51 UTC, DaggyStyle
Details | Diff
fix queue.h bug (libtirpc-0.2.4-fix_queue_h.patch,1.33 KB, patch)
2014-11-21 21:51 UTC, DaggyStyle
Details | Diff
fix the rest of the issues (libtirpc-0.2.4-fix_remaining_issues.patch,1.08 KB, patch)
2014-11-21 21:52 UTC, DaggyStyle
Details | Diff
0001-Provide-getrpcbynumber-and-getrpcbyname-if-those-are.patch (0001-Provide-getrpcbynumber-and-getrpcbyname-if-those-are.patch,1.96 KB, patch)
2014-11-28 07:30 UTC, DaggyStyle
Details | Diff
0002-Misc-header-fixes.patch (0002-Misc-header-fixes.patch,1.60 KB, patch)
2014-11-28 07:31 UTC, DaggyStyle
Details | Diff
0003-fix_DECLS.patch (0003-fix_DECLS.patch,28.18 KB, patch)
2014-11-28 07:31 UTC, DaggyStyle
Details | Diff
0004-fix_cdefs_h_include.patch (0004-fix_cdefs_h_include.patch,15.32 KB, patch)
2014-11-28 07:32 UTC, DaggyStyle
Details | Diff
0005-fix_queue_h_include.patch (0005-fix_queue_h_include.patch,1.95 KB, patch)
2014-11-28 07:32 UTC, DaggyStyle
Details | Diff
0006-fix_remaining_issues.patch (0006-fix_remaining_issues.patch,373 bytes, patch)
2014-11-28 07:32 UTC, DaggyStyle
Details | Diff
0001-Provide-getrpcbynumber-and-getrpcbyname-if-those-are.patch (0001-Provide-getrpcbynumber-and-getrpcbyname-if-those-are.patch,1.96 KB, patch)
2014-11-29 20:01 UTC, DaggyStyle
Details | Diff
0002-Misc-header-fixes.patch (0002-Misc-header-fixes.patch,1.05 KB, patch)
2014-11-29 20:01 UTC, DaggyStyle
Details | Diff
0003-fix_cdefs_h_include.patch (0003-fix_cdefs_h_include.patch,14.95 KB, patch)
2014-11-29 20:01 UTC, DaggyStyle
Details | Diff
0004-fix_DECLS.patch (0004-fix_DECLS.patch,28.44 KB, patch)
2014-11-29 20:02 UTC, DaggyStyle
Details | Diff
0005-fix_remaining_issues.patch (0005-fix_remaining_issues.patch,373 bytes, patch)
2014-11-29 20:02 UTC, DaggyStyle
Details | Diff
0006-fix_queue_h_include.patch (0006-fix_queue_h_include.patch,1.75 KB, patch)
2014-11-29 20:02 UTC, DaggyStyle
Details | Diff
0007-no-des.patch (0007-no-des.patch,960 bytes, patch)
2014-11-29 20:02 UTC, DaggyStyle
Details | Diff
diff.patch (diff.patch,585 bytes, patch)
2014-11-29 20:03 UTC, DaggyStyle
Details | Diff
patch against hardened musl branch (0001-add-musl-based-libtirpc.patch,73.68 KB, patch)
2015-01-10 14:47 UTC, DaggyStyle
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description DaggyStyle 2014-11-21 21:49:23 UTC
this patchset allows net-libs/libtirpc-0.2.4-r1 to be build against musl libc

this patchset isn't intended for inclusion to official portage tree, it is intented for the musl branch in the hardened-dev overlay.

Reproducible: Always
Comment 1 DaggyStyle 2014-11-21 21:50:51 UTC
Created attachment 390028 [details, diff]
fix DECLS bug
Comment 2 DaggyStyle 2014-11-21 21:51:14 UTC
Created attachment 390030 [details, diff]
fix cdefs bug
Comment 3 DaggyStyle 2014-11-21 21:51:41 UTC
Created attachment 390032 [details, diff]
fix queue.h bug
Comment 4 DaggyStyle 2014-11-21 21:52:25 UTC
Created attachment 390034 [details, diff]
fix the rest of the issues
Comment 5 DaggyStyle 2014-11-28 07:30:47 UTC
Created attachment 390460 [details, diff]
0001-Provide-getrpcbynumber-and-getrpcbyname-if-those-are.patch

new patchset
Comment 6 DaggyStyle 2014-11-28 07:31:17 UTC
Created attachment 390462 [details, diff]
0002-Misc-header-fixes.patch

new patchset
Comment 7 DaggyStyle 2014-11-28 07:31:40 UTC
Created attachment 390464 [details, diff]
0003-fix_DECLS.patch

new patchset
Comment 8 DaggyStyle 2014-11-28 07:32:01 UTC
Created attachment 390466 [details, diff]
0004-fix_cdefs_h_include.patch

new patchset
Comment 9 DaggyStyle 2014-11-28 07:32:29 UTC
Created attachment 390468 [details, diff]
0005-fix_queue_h_include.patch

new patchset
Comment 10 DaggyStyle 2014-11-28 07:32:53 UTC
Created attachment 390470 [details, diff]
0006-fix_remaining_issues.patch

new patchset
Comment 11 DaggyStyle 2014-11-29 20:00:38 UTC
latest patchset vs version 0.2.5, it seems that 0.2.5 works better with musl as it is easier to disable des support because musl doesn't supports it.
Comment 12 DaggyStyle 2014-11-29 20:01:05 UTC
Created attachment 390590 [details, diff]
0001-Provide-getrpcbynumber-and-getrpcbyname-if-those-are.patch
Comment 13 DaggyStyle 2014-11-29 20:01:27 UTC
Created attachment 390592 [details, diff]
0002-Misc-header-fixes.patch
Comment 14 DaggyStyle 2014-11-29 20:01:44 UTC
Created attachment 390594 [details, diff]
0003-fix_cdefs_h_include.patch
Comment 15 DaggyStyle 2014-11-29 20:02:02 UTC
Created attachment 390596 [details, diff]
0004-fix_DECLS.patch
Comment 16 DaggyStyle 2014-11-29 20:02:17 UTC
Created attachment 390598 [details, diff]
0005-fix_remaining_issues.patch
Comment 17 DaggyStyle 2014-11-29 20:02:36 UTC
Created attachment 390600 [details, diff]
0006-fix_queue_h_include.patch
Comment 18 DaggyStyle 2014-11-29 20:02:53 UTC
Created attachment 390602 [details, diff]
0007-no-des.patch
Comment 19 DaggyStyle 2014-11-29 20:03:35 UTC
Created attachment 390604 [details, diff]
diff.patch

ebuild patch, eautoconf and eautoreconf are needed.
Comment 20 Anthony Basile gentoo-dev 2015-01-03 16:37:33 UTC
please make a single commit against hardened-dev::musl overlay and upload the patch
Comment 21 DaggyStyle 2015-01-10 14:47:30 UTC
Created attachment 393610 [details, diff]
patch against hardened musl branch
Comment 22 Anthony Basile gentoo-dev 2015-01-31 21:34:15 UTC
pushed to the overlay
Comment 23 SpanKY gentoo-dev 2015-02-24 16:13:33 UTC
there's an upstream mailing list that the maintainers watch (the nfs one).  these patches really should get sent there.
Comment 24 Anthony Basile gentoo-dev 2015-03-08 01:39:13 UTC
(In reply to SpanKY from comment #23)
> there's an upstream mailing list that the maintainers watch (the nfs one). 
> these patches really should get sent there.

You're right, we're becoming too lazy with the overlay.  Re-opening this so we don't forget to push these upstream.
Comment 25 Matt Turner gentoo-dev 2019-07-10 04:31:49 UTC
Looks like most of the patches in the musl overlay have made it into upstream libtirpc, despite lack of effort from the musl team.
Comment 26 Jory A. Pratt gentoo-dev 2019-07-10 06:00:13 UTC
(In reply to Matt Turner from comment #25)
> Looks like most of the patches in the musl overlay have made it into
> upstream libtirpc, despite lack of effort from the musl team.

Everything that is required has been pushed upstream already, I updated the 1.1.4 ebuild with the last pending patch and drop'd the unneeded bcopy to mem patch.
Comment 27 Michael 'veremitz' Everitt 2019-10-14 21:48:52 UTC
(In reply to Jory A. Pratt from comment #26)
> (In reply to Matt Turner from comment #25)
> > Looks like most of the patches in the musl overlay have made it into
> > upstream libtirpc, despite lack of effort from the musl team.
> 
> Everything that is required has been pushed upstream already, I updated the
> 1.1.4 ebuild with the last pending patch and drop'd the unneeded bcopy to
> mem patch.

Since its a relatively small patch, maybe we can look at mainlining this into ::gentoo ? cc'ing Base for comment. -r1 seems to be in overlay already .. this could be conveniently ported over ;)
Comment 28 Matt Turner gentoo-dev 2019-10-14 23:49:46 UTC
(In reply to Michael 'veremitz' Everitt from comment #27)
> (In reply to Jory A. Pratt from comment #26)
> > (In reply to Matt Turner from comment #25)
> > > Looks like most of the patches in the musl overlay have made it into
> > > upstream libtirpc, despite lack of effort from the musl team.
> > 
> > Everything that is required has been pushed upstream already, I updated the
> > 1.1.4 ebuild with the last pending patch and drop'd the unneeded bcopy to
> > mem patch.
> 
> Since its a relatively small patch, maybe we can look at mainlining this
> into ::gentoo ? cc'ing Base for comment. -r1 seems to be in overlay already
> .. this could be conveniently ported over ;)

I'll add it if someone upstreams it first. It's been five years.
Comment 29 Michael 'veremitz' Everitt 2019-10-15 05:15:52 UTC
(In reply to Matt Turner from comment #28)
> (In reply to Michael 'veremitz' Everitt from comment #27)
> > 
> > Since its a relatively small patch, maybe we can look at mainlining this
> > into ::gentoo ? cc'ing Base for comment. -r1 seems to be in overlay already
> > .. this could be conveniently ported over ;)
> 
> I'll add it if someone upstreams it first. It's been five years.

Tada - https://git.linux-nfs.org/?p=steved/libtirpc.git;a=commit;h=5735d1c8c9400e1ede403a1abb48b90514a89889 :D tia!